apiVersion: yaook.cloud/v1
kind: CinderDeployment
metadata:
  name: cinder
  namespace: yaook
spec:
  keystoneRef:
    name: keystone
  database:
    replicas: 3
    proxy:
      replicas: 3
    backup:
      schedule: "0 * * * *"
    storageClassName: csi-driver-lvm-linear
    storageSize: 20Gi
    mysqlConfig:
      mysqld:
        max_allowed_packet: 256M
        max_connections: 4096
        max_heap_table_size: 64M
        expire_logs_days: 2
  messageQueue:
    replicas: 3
    storageClassName: csi-driver-lvm-linear
    storageSize: 16Gi
  memcached: {}
  api:
    replicas: 3
    ingress:
      fqdn: "{{ fqdn_cinder }}"
      port: 443
      #externalCertificateSecretRef:
      #  name: block-storage-api-external-certificate
  scheduler:
    replicas: 3
  cinderConfig:
    DEFAULT:
      debug: False
      verify_glance_signatures: "enabled"
      enabled_backends:
      - ceph-nvme
      default_volume_type: "__DEFAULT__"
      # https://docs.openstack.org/cinder/zed/_static/cinder.conf.sample
      # default is equal to number of CPUs available
      osapi_volume_workers: 8
    ceph-nvme:
      rbd_pool: a.volumes
      rbd_secret_uuid: "ac8ecbc3-97ba-4317-843e-d1f9717cab59"
      volume_backend_name: ceph-nvme
    oslo_messaging_rabbit:
      # https://docs.openstack.org/cinder/zed/_static/cinder.conf.sample
      # rabbit_quorum_queue is true by default in Yaook
      heartbeat_in_pthread: false
      heartbeat_rate: 3  # https://review.opendev.org/c/openstack/oslo.messaging/+/875615
    oslo_messaging_notifications:
      driver:
      - messagingv2
  backends:
    ceph-nvme:
      volume:
        replicas: 1
      rbd:
        keyringReference: rook-ceph-client-a.cinder
        keyringUsername: a.cinder
        cephConfig:
          "mon_host": "{% for ip in ceph_monitors %}{% if ':' in ip %}[{{ ip }}]:6789{% else %}{{ ip }}:6789{% endif %}{% if not loop.last %},{% endif %}{% endfor %}"
  backup: {}
  region:
    name: {{ region_name }}
  issuerRef:
    name: ca-issuer
  databaseCleanup:
    schedule: "0 0 * * *"
    deletionTimeRange: 60
  targetRelease: {{ cinder_targetRelease }}
